| LibDriver GT30L32S4W 1.0.0 GT30L32S4W full function driver

Functions
gt30l32s4w interface driver function
gt30l32s4w driver function

gt30l32s4w interface driver modules More...

## Functions
uint8_t | gt30l32s4w_interface_spi_init (void)
| interface spi bus init More...
uint8_t | gt30l32s4w_interface_spi_deinit (void)
| interface spi bus deinit More...
uint8_t | gt30l32s4w_interface_spi_write_read (uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len)
| interface spi bus write read More...
void | gt30l32s4w_interface_delay_ms (uint32_t ms)
| interface delay ms More...
void | gt30l32s4w_interface_debug_print (const char *const fmt,...)
| interface print format data More...

## Detailed Description

gt30l32s4w interface driver modules

## Function Documentation

## ◆ gt30l32s4w_interface_debug_print()

void gt30l32s4w_interface_debug_print | ( | const char *const | fmt,
|  |  | ...
| ) |  |

interface print format data

Parameters

  [in] | fmt | format data

Note
  none

Definition at line 94 of file driver_gt30l32s4w_interface_template.c.

## ◆ gt30l32s4w_interface_delay_ms()

void gt30l32s4w_interface_delay_ms | ( | uint32_t | ms | ) |

interface delay ms

Parameters

  [in] | ms | time

Note
  none

Definition at line 84 of file driver_gt30l32s4w_interface_template.c.

## ◆ gt30l32s4w_interface_spi_deinit()

uint8_t gt30l32s4w_interface_spi_deinit | ( | void |  | ) |

interface spi bus deinit

Returns
  status code
  - 0 success
  - 1 spi deinit failed

Note
  none

Definition at line 58 of file driver_gt30l32s4w_interface_template.c.

## ◆ gt30l32s4w_interface_spi_init()

uint8_t gt30l32s4w_interface_spi_init | ( | void |  | ) |

interface spi bus init

Returns
  status code
  - 0 success
  - 1 spi init failed

Note
  none

Definition at line 46 of file driver_gt30l32s4w_interface_template.c.

## ◆ gt30l32s4w_interface_spi_write_read()

uint8_t gt30l32s4w_interface_spi_write_read | ( | uint8_t * | in_buf,
|  | uint32_t | in_len,
|  | uint8_t * | out_buf,
|  | uint32_t | out_len
| ) |  |

interface spi bus write read

Parameters

  [in] | *in_buf | pointer to an input buffer
  [in] | in_len | input buffer length
  [out] | *out_buf | pointer to an output buffer
  [in] | out_len | output buffer length

Returns
  status code
  - 0 success
  - 1 write read failed

Note
  none

Definition at line 74 of file driver_gt30l32s4w_interface_template.c.